Functions
Functions
Peripheral Driver » APP DRIVER » RTC

## Functions
uint16_t | app_rtc_init (app_rtc_evt_handler_t evt_handler)
| Initialize the APP RTC DRIVER. More...
uint16_t | app_rtc_deinit (void)
| De-initialize the app rtc. More...
uint16_t | app_rtc_init_time (app_rtc_time_t *p_time)
| Initialize the rtc time. More...
uint16_t | app_rtc_get_time (app_rtc_time_t *p_time)
| Get current rtc time. More...
uint16_t | app_rtc_setup_alarm (app_rtc_alarm_t *p_alarm)
| Set a rtc date alarm. More...
uint16_t | app_rtc_setup_tick (uint32_t interval)
| Set a rtc tick alarm. More...
uint16_t | app_rtc_disable_event (uint32_t disable_mode)
| Disable rtc alarm event. More...

## Detailed Description

## Function Documentation

## ◆ app_rtc_deinit()

uint16_t app_rtc_deinit | ( | void |  | ) |

De-initialize the app rtc.

Returns
  Result of De-initialization.

## ◆ app_rtc_disable_event()

uint16_t app_rtc_disable_event | ( | uint32_t | disable_mode | ) |

Disable rtc alarm event.

Parameters

  [in] | disable_mode | Disable specified CALENDAR alarm mode. This parameter can be the following values: APP_RTC_ALARM_DISABLE_DATE APP_RTC_ALARM_DISABLE_TICK APP_RTC_ALARM_DISABLE_ALL

Returns
  Result of operation.

## ◆ app_rtc_get_time()

uint16_t app_rtc_get_time | ( | app_rtc_time_t * | p_time | ) |

Get current rtc time.

Note
  When CFG_LPCLK_INTERNAL_EN is true, This function should be called after BLE stack init, and the interval between two calls should be smaller than 23 hours to keep counting continously.

Parameters

  [in] | p_time | Pointer to a app_rtc_time_t time struction.

Returns
  Result of operation.

## ◆ app_rtc_init()

uint16_t app_rtc_init | ( | app_rtc_evt_handler_t | evt_handler | ) |

Initialize the APP RTC DRIVER.

Parameters

  [in] | evt_handler | RTC user callback function.

Returns
  Result of initialization.

## ◆ app_rtc_init_time()

uint16_t app_rtc_init_time | ( | app_rtc_time_t * | p_time | ) |

Initialize the rtc time.

Parameters

  [in] | p_time | Pointer to a app_rtc_time_t time struction.

Returns
  Result of operation.

## ◆ app_rtc_setup_alarm()

uint16_t app_rtc_setup_alarm | ( | app_rtc_alarm_t * | p_alarm | ) |

Set a rtc date alarm.

Parameters

  [in] | p_alarm | After seconds will generate an date alarm interrupt.

Returns
  Result of operation.

## ◆ app_rtc_setup_tick()

uint16_t app_rtc_setup_tick | ( | uint32_t | interval | ) |

Set a rtc tick alarm.

Parameters

  [in] | interval | After milliseconds will generate an tick alarm interrupt. The value of interval is greater than or equal to 10ms.

Returns
  Result of operation.